Get Related Topics
Returns related topics for a given topic id, based on how many organizations are active in both the topic and the related topic. The result is normalized using jaccard similarity score. For very large topics (more than 5000 orgs active in it), Jaccard is skipped and the similarity score is always 1.
Authorization
APIKeyHeader superAdminIn: header
Scope: superAdmin
Path Parameters
uuidQuery Parameters
The number of related topics to return, all topics are caculated anyways, this is just to limit response size.
100 <= value <= 100Response Body
application/json
application/json
curl -X GET "https://connect-api.trendtracker.ai/topics/497f6eca-6276-4993-bfeb-53cbbbba6f08/related"[
{
"id": "string",
"label": "string",
"sharedOrgs": 0,
"similarity": 0
}
]{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}Get Related Organization Time Series GET
Returns a time series for organizations linked to a topic, aggregated by founded_on date. The input filters are applied. When no date filters are applied, the result also contains without_label, indicating what organizations don't have a founded_on date filled in.
Grants Proofpoints POST
Next Page